PDA

View Full Version : GWT/Eclipse counterpart releases



Bill_Gates
18 Jan 2012, 7:38 PM
hi. since GWT creates specific releases for each Eclipse version, i was wondering if GXT does the same thing. Specifically, i need to know which GXT releases are meant for Eclipse 3.6 and 3.7. thank you!

BG

gishmo
19 Jan 2012, 12:21 AM
GXT does not depend on Eclipse versions. It depends on the version of GWT.

And even the new version GWT 2.4 works fine with Eclipse 3.4. You have to install the old GWT plugin and in the properties you define your GWT SDK.

Bill_Gates
20 Jan 2012, 1:24 AM
in light of your response, what are GXT counterpart releases for GWT v2.2.0, v2.3.0, and v2.4.0? thanks!

Colin Alworth
22 Jan 2012, 2:00 PM
The latest release of GXT, 2.2.5, works with any version of GWT later than 1.7. However, due to breaking changes in GWT, there are three different GXT jars in the GXT 2.2.5 download, one for 1.7, one for 2.0 until 2.1, and one for 2.2 and onward. These jars have -gwt17, -gwt2, and -gwt22 suffixed to their filenames to be clear as to which works with which.

The beta versions of GXT 3 only work with the latest GWT version, 2.4.0.

10KL
22 Apr 2012, 12:15 PM
I hate to use this old thread, but i was just wondering if there is a matrix somewhere on the sencha site that keeps track of such relationships?